locals {
  backup_config = file("${path.module}/nextcloud-backup.hcl")
}

resource "nomad_job" "nextcloud" {
  hcl2 {
    enabled = true
    vars = {
      "backup_config" = local.backup_config,
    }
  }

  jobspec = file("${path.module}/nextcloud.nomad")
}
